winduprobot(6)

NAME
winduprobot - screen saver.

SYNOPSIS
winduprobot [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--delay number] [--count number] [--speed ratio] [--size ratio] [--opacity ratio] [--talk ratio] [--no-texture] [--no-fade] [--fps]

DESCRIPTION
A swarm of wind-up toy robots wander around the table-top, bumping into each other. Each robot contains a mechanically accurate gear system inside, which you can see when the robot's shell occasionally fades to transparency.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--delay number
    Per-frame delay, in microseconds. Default: 20000 (0.02 seconds).

--count number
    Number of robots. 1 - 100. Default: 25.

--speed ratio
    Animation speed. 2.0 means twice as fast, 0.5 means half as fast.

--size ratio
    Robot size. 2.0 means twice as big, 0.5 means half as big.

--opacity ratio
    Robot skin transparency. 0.0 - 1.0. Default: 1.0.

--talk ratio
    How often to occasionally pop up a word bubble with random text in it. 0.0 means never. 1.0 means often.

--texture | --no-texture
    Whether the robot's surface should be reflective chrome.

--fade | --no-fade
    Whether to sometimes fade the robot's opacity to show the inner mechanism.

--fps | --no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1) xscreensaver-text(6)

COPYRIGHT
Copyright © 2014 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski.